Loading...
Searching...
No Matches
D3D12_RESOURCE_TRANSITION_BARRIER Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

ID3D12Resource * | pResource
UINT | Subresource
D3D12_RESOURCE_STATES | StateBefore
D3D12_RESOURCE_STATES | StateAfter

## Detailed Description

Definition at line 2856 of file mini_d3d12.h.

## Member Data Documentation

## pResource

ID3D12Resource* D3D12_RESOURCE_TRANSITION_BARRIER::pResource

Definition at line 2857 of file mini_d3d12.h.

## Subresource

UINT D3D12_RESOURCE_TRANSITION_BARRIER::Subresource

Definition at line 2858 of file mini_d3d12.h.

## StateBefore

D3D12_RESOURCE_STATES D3D12_RESOURCE_TRANSITION_BARRIER::StateBefore

Definition at line 2859 of file mini_d3d12.h.

## StateAfter

D3D12_RESOURCE_STATES D3D12_RESOURCE_TRANSITION_BARRIER::StateAfter

Definition at line 2860 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h